Update a cloud instance

PUT/v1/cloud_computing/instances/{instance_id}

This PUT request to /v1/cloud_computing/instances/{instance_id} allows updating a cloud instance by changing options specified in the request body. An instance ID in a path parameter is required.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
instance_id
string

A unique identifier of a cloud instance.

Request Body

FieldDetails
name?
string

A name for a cloud instance.

backup_copies?
integer

A number of backup copies to store.

ipv6_enabled?
boolean

A parameter to enable IPv6.

gpn_enabled?
boolean

A parameter to enable GPN (Global Private Network).

labels?
object

Specify labels you want to attach to the resource. Refer to the Labels section for more details.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/cloud_computing/instances/8mepY2aM" \  -H "Content-Type: application/json" \  -d '{    "name": "NEW-INSTANCE-NAME",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "8mepY2aM",  "openstack_uuid": "6634bc39-18f8-4579-89f9-dfd53f545d19",  "status": "ACTIVE",  "name": "NEW-INSTANCE-NAME",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "70.225.195.5",  "private_ipv4_address": null,  "local_ipv4_address": "109.179.69.190",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2025-12-31T00:00:00Z",  "updated_at": "2025-12-31T00:00:00Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  }}